Groovy Documentation

## org.codehaus.groovy.transform
[Java] Class LogASTTransformation.AbstractLoggingStrategy

    java.lang.Object
      org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategy

All Implemented Interfaces:
  LoggingStrategy

    public static abstract class LogASTTransformation.AbstractLoggingStrategy

Field Summary
`protected GroovyClassLoader` | `loader`

Constructor Summary
`protected LogASTTransformation.AbstractLoggingStrategy(GroovyClassLoader loader)`
`protected LogASTTransformation.AbstractLoggingStrategy()`

Method Summary
`protected ClassNode` | `classNode(java.lang.String name)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### loader

    protected final GroovyClassLoader loader

Constructor Detail

### LogASTTransformation.AbstractLoggingStrategy

    protected LogASTTransformation.AbstractLoggingStrategy(GroovyClassLoader loader)

### LogASTTransformation.AbstractLoggingStrategy

    protected LogASTTransformation.AbstractLoggingStrategy()

Method Detail

### classNode

    protected ClassNode classNode(java.lang.String name)

Groovy Documentation